select distinct VERSION.RES_ID
from REQUIREMENT_VERSION VERSION
         join CUSTOM_FIELD_VALUE cfv on cfv.bound_entity_id = VERSION.RES_ID
         join CUSTOM_FIELD_VALUE_OPTION cfvo on cfvo.cfv_id = cfv.cfv_id
         join REQUIREMENT_LIBRARY_NODE RLN on RLN.RLN_ID = VERSION.REQUIREMENT_ID
where cfv.BOUND_ENTITY_TYPE = 'REQUIREMENT_VERSION'
  and cfvo.LABEL in (:tags)
  and cfv.FIELD_TYPE = 'TAG'
  and RLN.PROJECT_ID in (:projectIds)
